Bug 244504 - Fedora kmod configuration missing
Fedora kmod configuration missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-package-config-smart (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 06:13 EDT by Ville Skyttä
Modified: 2008-06-16 21:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/smart/distro.d/fedora.py (408 bytes, text/plain)
2007-06-16 06:13 EDT, Ville Skyttä
no flags Details
results of yum update (5.85 KB, text/plain)
2007-11-16 13:08 EST, Landon Kelsey
no flags Details

  None (edit)
Description Ville Skyttä 2007-06-16 06:13:46 EDT
fedora-package-config-smart is missing configuration for the kmod packages
shipped in Fedora.  Also, at least the PAE-debug flavour is missing and there
are some obsolete entries as well as some non-Fedora ones.

To me it would make sense if this config was moved from the main smart package
to fedora-package-config-smart, and the kmod configs added, to
/etc/smart/distro.d/fedora.py (see attachment for a sample one).
Comment 1 Ville Skyttä 2007-06-16 06:13:46 EDT
Created attachment 157186 [details]
/etc/smart/distro.d/fedora.py
Comment 2 Ville Skyttä 2007-06-16 06:15:23 EDT
Oh, the one in comment 1 still contains some flavours not in Fedora, it could be
cleaned up a bit further.
Comment 3 Ville Skyttä 2007-08-02 14:19:23 EDT
ping?
Comment 4 Axel Thimm 2007-08-02 17:13:51 EDT
Wasn't the distro.d method invented for allowing kmods to drop in their config?

It just happens that we have only two kmods in Fedora (two too many IMHO ;), but
in theory smart needs to work with arbitrary scaling number of kmods. The method
you suggest would make me have to monitor kmod additions/removals and touch
smart on each such event.

Also making the kmods coinstallable fixes concurrent kernel support for the
price of no updates within a kernel, even the latest one. I'd rather see smart
behave properly with the latest kernel and kmods at least.
Comment 5 Ville Skyttä 2007-08-02 17:22:29 EDT
(In reply to comment #4)
> Wasn't the distro.d method invented for allowing kmods to drop in their 
> config?

No, it's there for 3rd party repos - for example you should ship an atrpms
snippet in it in let's say atrpms-release package (dunno if one exists) to
support things like suspend2 and tuxonice instead of shipping it in Fedora
configs.  Whereas stuff in Fedora should be supported by Fedora configs out of
the box.  Having kmods drop their snippets to distro.d is possible, but would
result in either them requiring smart or dir ownership bloat.
Comment 6 Landon Kelsey 2007-11-16 13:08:40 EST
Created attachment 261561 [details]
results of yum update

now getting far more info before yum terminates
Comment 7 Bug Zapper 2008-05-14 09:08:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:37:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.